﻿Partial Public Class JewelCaseExpand

    Public Property JacketArt() As System.Windows.Media.ImageSource
        Get
            Return Me.MainImage.Source
        End Get
        Set(ByVal value As System.Windows.Media.ImageSource)
            Me.MainImage.Source = value
        End Set
    End Property

    Public Property VisibleWithAnimation() As Boolean
        Get
            Return (Me.Visibility = Windows.Visibility.Visible)
        End Get
        Set(ByVal value As Boolean)
            If (value) Then
                Me.Visibility = Windows.Visibility.Visible
                Me.BeginStoryboard(CType(FindResource("FadeIn"), System.Windows.Media.Animation.Storyboard))
                Me.BeginStoryboard(CType(FindResource("ExpandOut"), System.Windows.Media.Animation.Storyboard))
            Else
                Me.BeginStoryboard(CType(FindResource("FadeOut"), System.Windows.Media.Animation.Storyboard))
                Me.BeginStoryboard(CType(FindResource("ShrinkDown"), System.Windows.Media.Animation.Storyboard))
                ' TODO: The animation doesn't have enough time between these two lines to run to completion before
                ' the control is hidden.  If I comment this line out, then it "looks" correct, but technically
                ' is still visible (with opacity 0, but still on the page).  As result, the controls behind the
                ' newly faded-out-but-not-hidden control won't register the mouse clicks.

                ' I found a post that included a Storyboard "Completed" event.  If I caught this, I could hide this control there
                Me.Visibility = Windows.Visibility.Hidden
            End If
        End Set
    End Property
End Class
