﻿''' <summary>
''' This class provides the basic functionality needed to encapsulate an Integer value and a
''' String display name in a single object, suitable for use within a list box.
''' </summary>
''' <remarks></remarks>
Public Class ListItem

    Private _Value As Integer
    Private _DisplayName As String

    Public Sub New(ByVal NewValue As String, ByVal NewDisplayName As String)
        Me._Value = NewValue
        Me._DisplayName = NewDisplayName
    End Sub

    Public ReadOnly Property Value() As Integer
        Get
            Return Me._Value
        End Get
    End Property

    Public ReadOnly Property DisplayName() As String
        Get
            Return Me._DisplayName
        End Get
    End Property

    Public Overrides Function ToString() As String
        Return Me._DisplayName
    End Function
End Class
